SUGGESTED BROWSER REQUIREMENTS:  If you are having trouble viewing or using our web site, please upgrade your broswer.

The suggested minimum browser versions are Internet Explorer 6.0, Mozilla Firefox 8, Google Chrome 16, Opera 11 or later.

If you are using an older version of any these browsers, you should upgrade to a more recent version.


We are also members of the following organizations, please click on the logos to be transported to their respective websites.

http://www.mpedallas.com/images/dhl_ad_banner_sm.gif

Browser Requirements                     green update button2/10/12              email:  updates@mpedallas.com

Disclaimer
t image